/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022MT00.java

*

* Created on 06/04/09 11:34:44

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ022MS00 extends Q02bTablaBD implements Q02bITablaBDQ022MS00 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q022MT00_ID_AYUN */

    public final static int COLUMN_Q022MT00_ID_AYUN = 1;

    /** Constante para la propiedad Q022MT00_ID_AYUN */

    public final static String NOMCOLUMN_Q022MT00_ID_AYUN = "Q022MT00_ID_AYUN";

    /** Constante para la propiedad Q022MT00_ID_AYUN */

    public final static int TAM_MAXIMO_Q022MT00_ID_AYUN = 8;

    /** Constante para la propiedad Q022MT00_PROV */

    public final static int COLUMN_Q022MT00_PROV = 2;

    /** Constante para la propiedad Q022MT00_PROV */

    public final static String NOMCOLUMN_Q022MT00_PROV = "Q022MT00_PROV";

    /** Constante para la propiedad Q022MT00_PROV */

    public final static int TAM_MAXIMO_Q022MT00_PROV = 2;

    /** Constante para la propiedad Q022MT00_MUNI */

    public final static int COLUMN_Q022MT00_MUNI = 3;

    /** Constante para la propiedad Q022MT00_MUNI */

    public final static String NOMCOLUMN_Q022MT00_MUNI = "Q022MT00_MUNI";

    /** Constante para la propiedad Q022MT00_MUNI */

    public final static int TAM_MAXIMO_Q022MT00_MUNI = 3;

    /** Constante para la propiedad Q022MT00_DESC */

    public final static int COLUMN_Q022MT00_DESC = 4;

    /** Constante para la propiedad Q022MT00_DESC */

    public final static String NOMCOLUMN_Q022MT00_DESC = "Q022MT00_DESC";

    /** Constante para la propiedad Q022MT00_DESC */

    public final static int TAM_MAXIMO_Q022MT00_DESC = 50;

    /** Constante para la propiedad Q022MT00_DESC_EUS */

    public final static int COLUMN_Q022MT00_DESC_EUS = 5;

    /** Constante para la propiedad Q022MT00_DESC_EUS */

    public final static String NOMCOLUMN_Q022MT00_DESC_EUS = "Q022MT00_DESC_EUS";

    /** Constante para la propiedad Q022MT00_DESC_EUS */

    public final static int TAM_MAXIMO_Q022MT00_DESC_EUS = 50;

    /** Constante para la propiedad Q022MT00_TVIA */

    public final static int COLUMN_Q022MT00_TVIA = 6;

    /** Constante para la propiedad Q022MT00_TVIA */

    public final static String NOMCOLUMN_Q022MT00_TVIA = "Q022MT00_TVIA";

    /** Constante para la propiedad Q022MT00_TVIA */

    public final static int TAM_MAXIMO_Q022MT00_TVIA = 2;

    /** Constante para la propiedad Q022MT00_CALLE */

    public final static int COLUMN_Q022MT00_CALLE = 7;

    /** Constante para la propiedad Q022MT00_CALLE */

    public final static String NOMCOLUMN_Q022MT00_CALLE = "Q022MT00_CALLE";

    /** Constante para la propiedad Q022MT00_CALLE */

    public final static int TAM_MAXIMO_Q022MT00_CALLE = 15;

    /** Constante para la propiedad Q022MT00_BLOQ */

    public final static int COLUMN_Q022MT00_BLOQ = 8;

    /** Constante para la propiedad Q022MT00_BLOQ */

    public final static String NOMCOLUMN_Q022MT00_BLOQ = "Q022MT00_BLOQ";

    /** Constante para la propiedad Q022MT00_BLOQ */

    public final static int TAM_MAXIMO_Q022MT00_BLOQ = 3;

    /** Constante para la propiedad Q022MT00_NUME */

    public final static int COLUMN_Q022MT00_NUME = 9;

    /** Constante para la propiedad Q022MT00_NUME */

    public final static String NOMCOLUMN_Q022MT00_NUME = "Q022MT00_NUME";

    /** Constante para la propiedad Q022MT00_NUME */

    public final static int TAM_MAXIMO_Q022MT00_NUME = 4;

    /** Constante para la propiedad Q022MT00_BIS */

    public final static int COLUMN_Q022MT00_BIS = 10;

    /** Constante para la propiedad Q022MT00_BIS */

    public final static String NOMCOLUMN_Q022MT00_BIS = "Q022MT00_BIS";

    /** Constante para la propiedad Q022MT00_BIS */

    public final static int TAM_MAXIMO_Q022MT00_BIS = 1;

    /** Constante para la propiedad Q022MT00_ESCA */

    public final static int COLUMN_Q022MT00_ESCA = 11;

    /** Constante para la propiedad Q022MT00_ESCA */

    public final static String NOMCOLUMN_Q022MT00_ESCA = "Q022MT00_ESCA";

    /** Constante para la propiedad Q022MT00_ESCA */

    public final static int TAM_MAXIMO_Q022MT00_ESCA = 2;

    /** Constante para la propiedad Q022MT00_PISO */

    public final static int COLUMN_Q022MT00_PISO = 12;

    /** Constante para la propiedad Q022MT00_PISO */

    public final static String NOMCOLUMN_Q022MT00_PISO = "Q022MT00_PISO";

    /** Constante para la propiedad Q022MT00_PISO */

    public final static int TAM_MAXIMO_Q022MT00_PISO = 2;

    /** Constante para la propiedad Q022MT00_MANO */

    public final static int COLUMN_Q022MT00_MANO = 13;

    /** Constante para la propiedad Q022MT00_MANO */

    public final static String NOMCOLUMN_Q022MT00_MANO = "Q022MT00_MANO";

    /** Constante para la propiedad Q022MT00_MANO */

    public final static int TAM_MAXIMO_Q022MT00_MANO = 2;

    /** Constante para la propiedad Q022MT00_PUER */

    public final static int COLUMN_Q022MT00_PUER = 14;

    /** Constante para la propiedad Q022MT00_PUER */

    public final static String NOMCOLUMN_Q022MT00_PUER = "Q022MT00_PUER";

    /** Constante para la propiedad Q022MT00_PUER */

    public final static int TAM_MAXIMO_Q022MT00_PUER = 3;

    /** Constante para la propiedad Q022MT00_CODP */

    public final static int COLUMN_Q022MT00_CODP = 15;

    /** Constante para la propiedad Q022MT00_CODP */

    public final static String NOMCOLUMN_Q022MT00_CODP = "Q022MT00_CODP";

    /** Constante para la propiedad Q022MT00_CODP */

    public final static int TAM_MAXIMO_Q022MT00_CODP = 5;

    /** Constante para la propiedad Q022MT00_CDIR */

    public final static int COLUMN_Q022MT00_CDIR = 16;

    /** Constante para la propiedad Q022MT00_CDIR */

    public final static String NOMCOLUMN_Q022MT00_CDIR = "Q022MT00_CDIR";

    /** Constante para la propiedad Q022MT00_CDIR */

    public final static int TAM_MAXIMO_Q022MT00_CDIR = 50;

    /** Constante para la propiedad Q022MT00_EMAIL */

    public final static int COLUMN_Q022MT00_EMAIL = 17;

    /** Constante para la propiedad Q022MT00_EMAIL */

    public final static String NOMCOLUMN_Q022MT00_EMAIL = "Q022MT00_EMAIL";

    /** Constante para la propiedad Q022MT00_EMAIL */

    public final static int TAM_MAXIMO_Q022MT00_EMAIL = 80;

    /** Constante para la propiedad Q022MT00_TELF1 */

    public final static int COLUMN_Q022MT00_TELF1 = 18;

    /** Constante para la propiedad Q022MT00_TELF1 */

    public final static String NOMCOLUMN_Q022MT00_TELF1 = "Q022MT00_TELF1";

    /** Constante para la propiedad Q022MT00_TELF1 */

    public final static int TAM_MAXIMO_Q022MT00_TELF1 = 9;

    /** Constante para la propiedad Q022MT00_TELF2 */

    public final static int COLUMN_Q022MT00_TELF2 = 19;

    /** Constante para la propiedad Q022MT00_TELF2 */

    public final static String NOMCOLUMN_Q022MT00_TELF2 = "Q022MT00_TELF2";

    /** Constante para la propiedad Q022MT00_TELF2 */

    public final static int TAM_MAXIMO_Q022MT00_TELF2 = 9;

    /** Constante para la propiedad Q022MT00_FAX */

    public final static int COLUMN_Q022MT00_FAX = 20;

    /** Constante para la propiedad Q022MT00_FAX */

    public final static String NOMCOLUMN_Q022MT00_FAX = "Q022MT00_FAX";

    /** Constante para la propiedad Q022MT00_FAX */

    public final static int TAM_MAXIMO_Q022MT00_FAX = 9;

    /** Constante para la propiedad Q022MT00_WEB */

    public final static int COLUMN_Q022MT00_WEB = 21;

    /** Constante para la propiedad Q022MT00_WEB */

    public final static String NOMCOLUMN_Q022MT00_WEB = "Q022MT00_WEB";

    /** Constante para la propiedad Q022MT00_WEB */

    public final static int TAM_MAXIMO_Q022MT00_WEB = 80;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 21;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q022MT00_ID_AYUN*/

    protected Integer Q022MT00_ID_AYUN = null;

    /** Holds value of property Q022MT00_ID_AYUN_WHERE */

    protected Integer Q022MT00_ID_AYUN_WHERE = null;

    protected boolean Q022MT00_ID_AYUN_MODIF = false;

    /** Holds value of property Q022MT00_PROV*/

    protected String Q022MT00_PROV = null;

    /** Holds value of property Q022MT00_PROV_WHERE */

    protected String Q022MT00_PROV_WHERE = null;

    protected boolean Q022MT00_PROV_MODIF = false;

    /** Holds value of property Q022MT00_MUNI*/

    protected String Q022MT00_MUNI = null;

    /** Holds value of property Q022MT00_MUNI_WHERE */

    protected String Q022MT00_MUNI_WHERE = null;

    protected boolean Q022MT00_MUNI_MODIF = false;

    /** Holds value of property Q022MT00_DESC*/

    protected String Q022MT00_DESC = null;

    /** Holds value of property Q022MT00_DESC_WHERE */

    protected String Q022MT00_DESC_WHERE = null;

    protected boolean Q022MT00_DESC_MODIF = false;

    /** Holds value of property Q022MT00_DESC_EUS*/

    protected String Q022MT00_DESC_EUS = null;

    /** Holds value of property Q022MT00_DESC_EUS_WHERE */

    protected String Q022MT00_DESC_EUS_WHERE = null;

    protected boolean Q022MT00_DESC_EUS_MODIF = false;

    /** Holds value of property Q022MT00_TVIA*/

    protected String Q022MT00_TVIA = null;

    /** Holds value of property Q022MT00_TVIA_WHERE */

    protected String Q022MT00_TVIA_WHERE = null;

    protected boolean Q022MT00_TVIA_MODIF = false;

    /** Holds value of property Q022MT00_CALLE*/

    protected Long Q022MT00_CALLE = null;

    /** Holds value of property Q022MT00_CALLE_WHERE */

    protected Long Q022MT00_CALLE_WHERE = null;

    protected boolean Q022MT00_CALLE_MODIF = false;

    /** Holds value of property Q022MT00_BLOQ*/

    protected String Q022MT00_BLOQ = null;

    /** Holds value of property Q022MT00_BLOQ_WHERE */

    protected String Q022MT00_BLOQ_WHERE = null;

    protected boolean Q022MT00_BLOQ_MODIF = false;

    /** Holds value of property Q022MT00_NUME*/

    protected Integer Q022MT00_NUME = null;

    /** Holds value of property Q022MT00_NUME_WHERE */

    protected Integer Q022MT00_NUME_WHERE = null;

    protected boolean Q022MT00_NUME_MODIF = false;

    /** Holds value of property Q022MT00_BIS*/

    protected String Q022MT00_BIS = null;

    /** Holds value of property Q022MT00_BIS_WHERE */

    protected String Q022MT00_BIS_WHERE = null;

    protected boolean Q022MT00_BIS_MODIF = false;

    /** Holds value of property Q022MT00_ESCA*/

    protected String Q022MT00_ESCA = null;

    /** Holds value of property Q022MT00_ESCA_WHERE */

    protected String Q022MT00_ESCA_WHERE = null;

    protected boolean Q022MT00_ESCA_MODIF = false;

    /** Holds value of property Q022MT00_PISO*/

    protected String Q022MT00_PISO = null;

    /** Holds value of property Q022MT00_PISO_WHERE */

    protected String Q022MT00_PISO_WHERE = null;

    protected boolean Q022MT00_PISO_MODIF = false;

    /** Holds value of property Q022MT00_MANO*/

    protected String Q022MT00_MANO = null;

    /** Holds value of property Q022MT00_MANO_WHERE */

    protected String Q022MT00_MANO_WHERE = null;

    protected boolean Q022MT00_MANO_MODIF = false;

    /** Holds value of property Q022MT00_PUER*/

    protected String Q022MT00_PUER = null;

    /** Holds value of property Q022MT00_PUER_WHERE */

    protected String Q022MT00_PUER_WHERE = null;

    protected boolean Q022MT00_PUER_MODIF = false;

    /** Holds value of property Q022MT00_CODP*/

    protected String Q022MT00_CODP = null;

    /** Holds value of property Q022MT00_CODP_WHERE */

    protected String Q022MT00_CODP_WHERE = null;

    protected boolean Q022MT00_CODP_MODIF = false;

    /** Holds value of property Q022MT00_CDIR*/

    protected String Q022MT00_CDIR = null;

    /** Holds value of property Q022MT00_CDIR_WHERE */

    protected String Q022MT00_CDIR_WHERE = null;

    protected boolean Q022MT00_CDIR_MODIF = false;

    /** Holds value of property Q022MT00_EMAIL*/

    protected String Q022MT00_EMAIL = null;

    /** Holds value of property Q022MT00_EMAIL_WHERE */

    protected String Q022MT00_EMAIL_WHERE = null;

    protected boolean Q022MT00_EMAIL_MODIF = false;

    /** Holds value of property Q022MT00_TELF1*/

    protected Integer Q022MT00_TELF1 = null;

    /** Holds value of property Q022MT00_TELF1_WHERE */

    protected Integer Q022MT00_TELF1_WHERE = null;

    protected boolean Q022MT00_TELF1_MODIF = false;

    /** Holds value of property Q022MT00_TELF2*/

    protected Integer Q022MT00_TELF2 = null;

    /** Holds value of property Q022MT00_TELF2_WHERE */

    protected Integer Q022MT00_TELF2_WHERE = null;

    protected boolean Q022MT00_TELF2_MODIF = false;

    /** Holds value of property Q022MT00_FAX*/

    protected Integer Q022MT00_FAX = null;

    /** Holds value of property Q022MT00_FAX_WHERE */

    protected Integer Q022MT00_FAX_WHERE = null;

    protected boolean Q022MT00_FAX_MODIF = false;

    /** Holds value of property Q022MT00_WEB*/

    protected String Q022MT00_WEB = null;

    /** Holds value of property Q022MT00_WEB_WHERE */

    protected String Q022MT00_WEB_WHERE = null;

    protected boolean Q022MT00_WEB_MODIF = false;

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "06/04/09 11:34:44";

    protected String columnas[] =  {"Q022MT00_ID_AYUN", "Q022MT00_PROV", "Q022MT00_MUNI", "Q022MT00_DESC", "Q022MT00_DESC_EUS", "Q022MT00_TVIA", "Q022MT00_CALLE", "Q022MT00_BLOQ", "Q022MT00_NUME", "Q022MT00_BIS", "Q022MT00_ESCA", "Q022MT00_PISO", "Q022MT00_MANO", "Q022MT00_PUER", "Q022MT00_CODP", "Q022MT00_CDIR", "Q022MT00_EMAIL", "Q022MT00_TELF1", "Q022MT00_TELF2", "Q022MT00_FAX", "Q022MT00_WEB"};

    protected int tipos[] =  {3, 12, 12, 12, 12, 12, 3, 12, 3, 12, 12, 12, 12, 12, 12, 12, 12, 3, 3, 3, 12};

    protected int longitudes[] =  {8, 2, 3, 50, 50, 2, 15, 3, 4, 1, 2, 2, 2, 3, 5, 50, 80, 9, 9, 9, 80};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q022MT00_ID_AYUN"};

    protected String columnasFK[] =  {null};

    protected String tablasFK[] =  {null};

    protected boolean nullables[] =  {false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q022MS00";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ022MS00 iTablaBDQ022MS00 = null;

    /** Creates new Q022MT00 */

    public Q02bTablaBDQ022MS00() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q022MS00 */

    public Q02bTablaBDQ022MS00(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ022MS00.setQ022MT00_ID_AYUN(null);

        iTablaBDQ022MS00.setQ022MT00_ID_AYUN_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_ID_AYUN_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_PROV(null);

        iTablaBDQ022MS00.setQ022MT00_PROV_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_PROV_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_MUNI(null);

        iTablaBDQ022MS00.setQ022MT00_MUNI_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_MUNI_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_DESC(null);

        iTablaBDQ022MS00.setQ022MT00_DESC_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_DESC_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_DESC_EUS(null);

        iTablaBDQ022MS00.setQ022MT00_DESC_EUS_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_DESC_EUS_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_TVIA(null);

        iTablaBDQ022MS00.setQ022MT00_TVIA_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_TVIA_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_CALLE(null);

        iTablaBDQ022MS00.setQ022MT00_CALLE_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_CALLE_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_BLOQ(null);

        iTablaBDQ022MS00.setQ022MT00_BLOQ_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_BLOQ_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_NUME(null);

        iTablaBDQ022MS00.setQ022MT00_NUME_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_NUME_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_BIS(null);

        iTablaBDQ022MS00.setQ022MT00_BIS_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_BIS_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_ESCA(null);

        iTablaBDQ022MS00.setQ022MT00_ESCA_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_ESCA_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_PISO(null);

        iTablaBDQ022MS00.setQ022MT00_PISO_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_PISO_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_MANO(null);

        iTablaBDQ022MS00.setQ022MT00_MANO_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_MANO_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_PUER(null);

        iTablaBDQ022MS00.setQ022MT00_PUER_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_PUER_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_CODP(null);

        iTablaBDQ022MS00.setQ022MT00_CODP_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_CODP_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_CDIR(null);

        iTablaBDQ022MS00.setQ022MT00_CDIR_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_CDIR_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_EMAIL(null);

        iTablaBDQ022MS00.setQ022MT00_EMAIL_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_EMAIL_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_TELF1(null);

        iTablaBDQ022MS00.setQ022MT00_TELF1_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_TELF1_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_TELF2(null);

        iTablaBDQ022MS00.setQ022MT00_TELF2_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_TELF2_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_FAX(null);

        iTablaBDQ022MS00.setQ022MT00_FAX_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_FAX_MODIF(false);

        iTablaBDQ022MS00.setQ022MT00_WEB(null);

        iTablaBDQ022MS00.setQ022MT00_WEB_WHERE(null);

        iTablaBDQ022MS00.setQ022MT00_WEB_MODIF(false);

        iTablaBDQ022MS00.setNumMaxRegistros(0);

        iTablaBDQ022MS00.setNumInicio(0);

        iTablaBDQ022MS00.setNumFinal(0);

        iTablaBDQ022MS00.setOrderBy(null);

        iTablaBDQ022MS00.setAditionalWhere(null);

        iTablaBDQ022MS00.setInitialWhere(null);

        iTablaBDQ022MS00.setFixedWhere(null);

        iTablaBDQ022MS00.setDistinct(null);

        iTablaBDQ022MS00.setMax(null);

        columnasSelect = null;

        tableFrom = "Q022MS00";

        iTablaBDQ022MS00.setUncommittedRead(false);

        iTablaBDQ022MS00.setForUpdate(false);

        iTablaBDQ022MS00.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ022MS00.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ022MS00.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ022MS00.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ022MS00.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ022MS00.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ022MS00.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ022MS00.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ022MS00.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ022MS00.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ022MS00.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ022MS00.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ022MS00.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ022MS00.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ022MS00.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ022MS00.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ022MS00.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ022MS00.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ022MS00.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ022MS00.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ022MS00.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ022MS00.selectMax();

    }



    /** Method update() */

    public void update()throws SQLException  {

        iTablaBDQ022MS00.update();

        }



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException  {

        iTablaBDQ022MS00.update(where);

    }



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException  {

        iTablaBDQ022MS00.delete(where);

    }



    /** Method delete */

    public void delete()throws SQLException  {

        iTablaBDQ022MS00.delete();

    }



    /** Method insert */

    public void insert()throws SQLException  {

        iTablaBDQ022MS00.insert();

    }



    /** Setter for property Q022MT00_ID_AYUN.

    * @param valor New value of propertyQ022MT00_ID_AYUN.

    */

    public void setQ022MT00_ID_AYUN(int valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_ID_AYUN=new Integer(valor);

        }else{

           iTablaBDQ022MS00.setQ022MT00_ID_AYUN(valor);

        }

    }



    public void setQ022MT00_ID_AYUN(Integer valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_ID_AYUN=valor;

        if (valor==null){

             this.Q022MT00_ID_AYUN_MODIF=true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_ID_AYUN(valor);

           if (valor==null){

                iTablaBDQ022MS00.setQ022MT00_ID_AYUN_MODIF(true);

           }

        }

    }



    public void setQ022MT00_ID_AYUN_WHERE(int valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_ID_AYUN_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022MS00.setQ022MT00_ID_AYUN_WHERE(valor);

        }

    }



    public void setQ022MT00_ID_AYUN_WHERE(Integer valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_ID_AYUN_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_ID_AYUN_WHERE(valor);

        }

    }



    public void setQ022MT00_ID_AYUN_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_ID_AYUN_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_ID_AYUN_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_PROV.

    * @param valor New value of propertyQ022MT00_PROV.

    */

    public void setQ022MT00_PROV(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_PROV=valor;

        if (valor==null){

            this.Q022MT00_PROV_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_PROV(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_PROV_MODIF(true);

           }

        }

    }



    public void setQ022MT00_PROV_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_PROV_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_PROV_WHERE(valor);

        }

    }



    public void setQ022MT00_PROV_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_PROV_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_PROV_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_MUNI.

    * @param valor New value of propertyQ022MT00_MUNI.

    */

    public void setQ022MT00_MUNI(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_MUNI=valor;

        if (valor==null){

            this.Q022MT00_MUNI_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_MUNI(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_MUNI_MODIF(true);

           }

        }

    }



    public void setQ022MT00_MUNI_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_MUNI_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_MUNI_WHERE(valor);

        }

    }



    public void setQ022MT00_MUNI_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_MUNI_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_MUNI_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_DESC.

    * @param valor New value of propertyQ022MT00_DESC.

    */

    public void setQ022MT00_DESC(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_DESC=valor;

        if (valor==null){

            this.Q022MT00_DESC_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_DESC(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_DESC_MODIF(true);

           }

        }

    }



    public void setQ022MT00_DESC_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_DESC_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_DESC_WHERE(valor);

        }

    }



    public void setQ022MT00_DESC_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_DESC_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_DESC_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_DESC_EUS.

    * @param valor New value of propertyQ022MT00_DESC_EUS.

    */

    public void setQ022MT00_DESC_EUS(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_DESC_EUS=valor;

        if (valor==null){

            this.Q022MT00_DESC_EUS_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_DESC_EUS(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_DESC_EUS_MODIF(true);

           }

        }

    }



    public void setQ022MT00_DESC_EUS_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_DESC_EUS_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_DESC_EUS_WHERE(valor);

        }

    }



    public void setQ022MT00_DESC_EUS_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_DESC_EUS_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_DESC_EUS_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_TVIA.

    * @param valor New value of propertyQ022MT00_TVIA.

    */

    public void setQ022MT00_TVIA(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TVIA=valor;

        if (valor==null){

            this.Q022MT00_TVIA_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_TVIA(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_TVIA_MODIF(true);

           }

        }

    }



    public void setQ022MT00_TVIA_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TVIA_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_TVIA_WHERE(valor);

        }

    }



    public void setQ022MT00_TVIA_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TVIA_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_TVIA_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_CALLE.

    * @param valor New value of propertyQ022MT00_CALLE.

    */

    public void setQ022MT00_CALLE(long valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_CALLE=new Long(valor);

        }else{

           iTablaBDQ022MS00.setQ022MT00_CALLE(valor);

        }

    }



    public void setQ022MT00_CALLE(Long valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_CALLE=valor;

        if (valor==null){

             this.Q022MT00_CALLE_MODIF=true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_CALLE(valor);

           if (valor==null){

                iTablaBDQ022MS00.setQ022MT00_CALLE_MODIF(true);

           }

        }

    }



    public void setQ022MT00_CALLE_WHERE(long valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_CALLE_WHERE=new Long(valor);

        }else{

           iTablaBDQ022MS00.setQ022MT00_CALLE_WHERE(valor);

        }

    }



    public void setQ022MT00_CALLE_WHERE(Long valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_CALLE_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_CALLE_WHERE(valor);

        }

    }



    public void setQ022MT00_CALLE_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_CALLE_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_CALLE_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_BLOQ.

    * @param valor New value of propertyQ022MT00_BLOQ.

    */

    public void setQ022MT00_BLOQ(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_BLOQ=valor;

        if (valor==null){

            this.Q022MT00_BLOQ_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_BLOQ(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_BLOQ_MODIF(true);

           }

        }

    }



    public void setQ022MT00_BLOQ_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_BLOQ_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_BLOQ_WHERE(valor);

        }

    }



    public void setQ022MT00_BLOQ_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_BLOQ_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_BLOQ_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_NUME.

    * @param valor New value of propertyQ022MT00_NUME.

    */

    public void setQ022MT00_NUME(int valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_NUME=new Integer(valor);

        }else{

           iTablaBDQ022MS00.setQ022MT00_NUME(valor);

        }

    }



    public void setQ022MT00_NUME(Integer valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_NUME=valor;

        if (valor==null){

             this.Q022MT00_NUME_MODIF=true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_NUME(valor);

           if (valor==null){

                iTablaBDQ022MS00.setQ022MT00_NUME_MODIF(true);

           }

        }

    }



    public void setQ022MT00_NUME_WHERE(int valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_NUME_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022MS00.setQ022MT00_NUME_WHERE(valor);

        }

    }



    public void setQ022MT00_NUME_WHERE(Integer valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_NUME_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_NUME_WHERE(valor);

        }

    }



    public void setQ022MT00_NUME_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_NUME_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_NUME_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_BIS.

    * @param valor New value of propertyQ022MT00_BIS.

    */

    public void setQ022MT00_BIS(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_BIS=valor;

        if (valor==null){

            this.Q022MT00_BIS_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_BIS(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_BIS_MODIF(true);

           }

        }

    }



    public void setQ022MT00_BIS_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_BIS_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_BIS_WHERE(valor);

        }

    }



    public void setQ022MT00_BIS_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_BIS_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_BIS_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_ESCA.

    * @param valor New value of propertyQ022MT00_ESCA.

    */

    public void setQ022MT00_ESCA(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_ESCA=valor;

        if (valor==null){

            this.Q022MT00_ESCA_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_ESCA(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_ESCA_MODIF(true);

           }

        }

    }



    public void setQ022MT00_ESCA_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_ESCA_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_ESCA_WHERE(valor);

        }

    }



    public void setQ022MT00_ESCA_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_ESCA_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_ESCA_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_PISO.

    * @param valor New value of propertyQ022MT00_PISO.

    */

    public void setQ022MT00_PISO(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_PISO=valor;

        if (valor==null){

            this.Q022MT00_PISO_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_PISO(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_PISO_MODIF(true);

           }

        }

    }



    public void setQ022MT00_PISO_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_PISO_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_PISO_WHERE(valor);

        }

    }



    public void setQ022MT00_PISO_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_PISO_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_PISO_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_MANO.

    * @param valor New value of propertyQ022MT00_MANO.

    */

    public void setQ022MT00_MANO(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_MANO=valor;

        if (valor==null){

            this.Q022MT00_MANO_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_MANO(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_MANO_MODIF(true);

           }

        }

    }



    public void setQ022MT00_MANO_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_MANO_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_MANO_WHERE(valor);

        }

    }



    public void setQ022MT00_MANO_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_MANO_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_MANO_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_PUER.

    * @param valor New value of propertyQ022MT00_PUER.

    */

    public void setQ022MT00_PUER(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_PUER=valor;

        if (valor==null){

            this.Q022MT00_PUER_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_PUER(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_PUER_MODIF(true);

           }

        }

    }



    public void setQ022MT00_PUER_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_PUER_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_PUER_WHERE(valor);

        }

    }



    public void setQ022MT00_PUER_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_PUER_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_PUER_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_CODP.

    * @param valor New value of propertyQ022MT00_CODP.

    */

    public void setQ022MT00_CODP(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_CODP=valor;

        if (valor==null){

            this.Q022MT00_CODP_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_CODP(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_CODP_MODIF(true);

           }

        }

    }



    public void setQ022MT00_CODP_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_CODP_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_CODP_WHERE(valor);

        }

    }



    public void setQ022MT00_CODP_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_CODP_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_CODP_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_CDIR.

    * @param valor New value of propertyQ022MT00_CDIR.

    */

    public void setQ022MT00_CDIR(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_CDIR=valor;

        if (valor==null){

            this.Q022MT00_CDIR_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_CDIR(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_CDIR_MODIF(true);

           }

        }

    }



    public void setQ022MT00_CDIR_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_CDIR_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_CDIR_WHERE(valor);

        }

    }



    public void setQ022MT00_CDIR_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_CDIR_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_CDIR_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_EMAIL.

    * @param valor New value of propertyQ022MT00_EMAIL.

    */

    public void setQ022MT00_EMAIL(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_EMAIL=valor;

        if (valor==null){

            this.Q022MT00_EMAIL_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_EMAIL(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_EMAIL_MODIF(true);

           }

        }

    }



    public void setQ022MT00_EMAIL_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_EMAIL_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_EMAIL_WHERE(valor);

        }

    }



    public void setQ022MT00_EMAIL_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_EMAIL_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_EMAIL_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_TELF1.

    * @param valor New value of propertyQ022MT00_TELF1.

    */

    public void setQ022MT00_TELF1(int valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TELF1=new Integer(valor);

        }else{

           iTablaBDQ022MS00.setQ022MT00_TELF1(valor);

        }

    }



    public void setQ022MT00_TELF1(Integer valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TELF1=valor;

        if (valor==null){

             this.Q022MT00_TELF1_MODIF=true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_TELF1(valor);

           if (valor==null){

                iTablaBDQ022MS00.setQ022MT00_TELF1_MODIF(true);

           }

        }

    }



    public void setQ022MT00_TELF1_WHERE(int valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TELF1_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022MS00.setQ022MT00_TELF1_WHERE(valor);

        }

    }



    public void setQ022MT00_TELF1_WHERE(Integer valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TELF1_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_TELF1_WHERE(valor);

        }

    }



    public void setQ022MT00_TELF1_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TELF1_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_TELF1_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_TELF2.

    * @param valor New value of propertyQ022MT00_TELF2.

    */

    public void setQ022MT00_TELF2(int valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TELF2=new Integer(valor);

        }else{

           iTablaBDQ022MS00.setQ022MT00_TELF2(valor);

        }

    }



    public void setQ022MT00_TELF2(Integer valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TELF2=valor;

        if (valor==null){

             this.Q022MT00_TELF2_MODIF=true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_TELF2(valor);

           if (valor==null){

                iTablaBDQ022MS00.setQ022MT00_TELF2_MODIF(true);

           }

        }

    }



    public void setQ022MT00_TELF2_WHERE(int valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TELF2_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022MS00.setQ022MT00_TELF2_WHERE(valor);

        }

    }



    public void setQ022MT00_TELF2_WHERE(Integer valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TELF2_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_TELF2_WHERE(valor);

        }

    }



    public void setQ022MT00_TELF2_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_TELF2_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_TELF2_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_FAX.

    * @param valor New value of propertyQ022MT00_FAX.

    */

    public void setQ022MT00_FAX(int valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_FAX=new Integer(valor);

        }else{

           iTablaBDQ022MS00.setQ022MT00_FAX(valor);

        }

    }



    public void setQ022MT00_FAX(Integer valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_FAX=valor;

        if (valor==null){

             this.Q022MT00_FAX_MODIF=true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_FAX(valor);

           if (valor==null){

                iTablaBDQ022MS00.setQ022MT00_FAX_MODIF(true);

           }

        }

    }



    public void setQ022MT00_FAX_WHERE(int valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_FAX_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022MS00.setQ022MT00_FAX_WHERE(valor);

        }

    }



    public void setQ022MT00_FAX_WHERE(Integer valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_FAX_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_FAX_WHERE(valor);

        }

    }



    public void setQ022MT00_FAX_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_FAX_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_FAX_MODIF(valor);

        }

    }



    /** Setter for property Q022MT00_WEB.

    * @param valor New value of propertyQ022MT00_WEB.

    */

    public void setQ022MT00_WEB(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_WEB=valor;

        if (valor==null){

            this.Q022MT00_WEB_MODIF =true;

        }

        }else{

           iTablaBDQ022MS00.setQ022MT00_WEB(valor);

           if (valor==null){

              iTablaBDQ022MS00.setQ022MT00_WEB_MODIF(true);

           }

        }

    }



    public void setQ022MT00_WEB_WHERE(String valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_WEB_WHERE=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_WEB_WHERE(valor);

        }

    }



    public void setQ022MT00_WEB_MODIF(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.Q022MT00_WEB_MODIF=valor;

        }else{

           iTablaBDQ022MS00.setQ022MT00_WEB_MODIF(valor);

        }

    }



    /** Getter for property Q022MT00_ID_AYUN.

    * @return Value of property Q022MT00_ID_AYUN.

    */

    public Integer getQ022MT00_ID_AYUN() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_ID_AYUN;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_ID_AYUN();

        }

    }



    /** Getter for property Q022MT00_ID_AYUN_WHERE.

    * @return Value of property Q022MT00_ID_AYUN_WHERE.

    */

    public Integer getQ022MT00_ID_AYUN_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_ID_AYUN_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_ID_AYUN_WHERE();

        }

    }



    /** Getter for property Q022MT00_PROV.

    * @return Value of property Q022MT00_PROV.

    */

    public String getQ022MT00_PROV() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_PROV;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_PROV();

        }

    }



    /** Getter for property Q022MT00_PROV_WHERE.

    * @return Value of property Q022MT00_PROV_WHERE.

    */

    public String getQ022MT00_PROV_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_PROV_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_PROV_WHERE();

        }

    }



    /** Getter for property Q022MT00_MUNI.

    * @return Value of property Q022MT00_MUNI.

    */

    public String getQ022MT00_MUNI() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_MUNI;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_MUNI();

        }

    }



    /** Getter for property Q022MT00_MUNI_WHERE.

    * @return Value of property Q022MT00_MUNI_WHERE.

    */

    public String getQ022MT00_MUNI_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_MUNI_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_MUNI_WHERE();

        }

    }



    /** Getter for property Q022MT00_DESC.

    * @return Value of property Q022MT00_DESC.

    */

    public String getQ022MT00_DESC() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_DESC;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_DESC();

        }

    }



    /** Getter for property Q022MT00_DESC_WHERE.

    * @return Value of property Q022MT00_DESC_WHERE.

    */

    public String getQ022MT00_DESC_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_DESC_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_DESC_WHERE();

        }

    }



    /** Getter for property Q022MT00_DESC_EUS.

    * @return Value of property Q022MT00_DESC_EUS.

    */

    public String getQ022MT00_DESC_EUS() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_DESC_EUS;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_DESC_EUS();

        }

    }



    /** Getter for property Q022MT00_DESC_EUS_WHERE.

    * @return Value of property Q022MT00_DESC_EUS_WHERE.

    */

    public String getQ022MT00_DESC_EUS_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_DESC_EUS_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_DESC_EUS_WHERE();

        }

    }



    /** Getter for property Q022MT00_TVIA.

    * @return Value of property Q022MT00_TVIA.

    */

    public String getQ022MT00_TVIA() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_TVIA;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_TVIA();

        }

    }



    /** Getter for property Q022MT00_TVIA_WHERE.

    * @return Value of property Q022MT00_TVIA_WHERE.

    */

    public String getQ022MT00_TVIA_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_TVIA_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_TVIA_WHERE();

        }

    }



    /** Getter for property Q022MT00_CALLE.

    * @return Value of property Q022MT00_CALLE.

    */

    public Long getQ022MT00_CALLE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_CALLE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_CALLE();

        }

    }



    /** Getter for property Q022MT00_CALLE_WHERE.

    * @return Value of property Q022MT00_CALLE_WHERE.

    */

    public Long getQ022MT00_CALLE_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_CALLE_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_CALLE_WHERE();

        }

    }



    /** Getter for property Q022MT00_BLOQ.

    * @return Value of property Q022MT00_BLOQ.

    */

    public String getQ022MT00_BLOQ() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_BLOQ;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_BLOQ();

        }

    }



    /** Getter for property Q022MT00_BLOQ_WHERE.

    * @return Value of property Q022MT00_BLOQ_WHERE.

    */

    public String getQ022MT00_BLOQ_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_BLOQ_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_BLOQ_WHERE();

        }

    }



    /** Getter for property Q022MT00_NUME.

    * @return Value of property Q022MT00_NUME.

    */

    public Integer getQ022MT00_NUME() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_NUME;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_NUME();

        }

    }



    /** Getter for property Q022MT00_NUME_WHERE.

    * @return Value of property Q022MT00_NUME_WHERE.

    */

    public Integer getQ022MT00_NUME_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_NUME_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_NUME_WHERE();

        }

    }



    /** Getter for property Q022MT00_BIS.

    * @return Value of property Q022MT00_BIS.

    */

    public String getQ022MT00_BIS() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_BIS;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_BIS();

        }

    }



    /** Getter for property Q022MT00_BIS_WHERE.

    * @return Value of property Q022MT00_BIS_WHERE.

    */

    public String getQ022MT00_BIS_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_BIS_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_BIS_WHERE();

        }

    }



    /** Getter for property Q022MT00_ESCA.

    * @return Value of property Q022MT00_ESCA.

    */

    public String getQ022MT00_ESCA() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_ESCA;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_ESCA();

        }

    }



    /** Getter for property Q022MT00_ESCA_WHERE.

    * @return Value of property Q022MT00_ESCA_WHERE.

    */

    public String getQ022MT00_ESCA_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_ESCA_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_ESCA_WHERE();

        }

    }



    /** Getter for property Q022MT00_PISO.

    * @return Value of property Q022MT00_PISO.

    */

    public String getQ022MT00_PISO() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_PISO;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_PISO();

        }

    }



    /** Getter for property Q022MT00_PISO_WHERE.

    * @return Value of property Q022MT00_PISO_WHERE.

    */

    public String getQ022MT00_PISO_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_PISO_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_PISO_WHERE();

        }

    }



    /** Getter for property Q022MT00_MANO.

    * @return Value of property Q022MT00_MANO.

    */

    public String getQ022MT00_MANO() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_MANO;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_MANO();

        }

    }



    /** Getter for property Q022MT00_MANO_WHERE.

    * @return Value of property Q022MT00_MANO_WHERE.

    */

    public String getQ022MT00_MANO_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_MANO_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_MANO_WHERE();

        }

    }



    /** Getter for property Q022MT00_PUER.

    * @return Value of property Q022MT00_PUER.

    */

    public String getQ022MT00_PUER() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_PUER;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_PUER();

        }

    }



    /** Getter for property Q022MT00_PUER_WHERE.

    * @return Value of property Q022MT00_PUER_WHERE.

    */

    public String getQ022MT00_PUER_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_PUER_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_PUER_WHERE();

        }

    }



    /** Getter for property Q022MT00_CODP.

    * @return Value of property Q022MT00_CODP.

    */

    public String getQ022MT00_CODP() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_CODP;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_CODP();

        }

    }



    /** Getter for property Q022MT00_CODP_WHERE.

    * @return Value of property Q022MT00_CODP_WHERE.

    */

    public String getQ022MT00_CODP_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_CODP_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_CODP_WHERE();

        }

    }



    /** Getter for property Q022MT00_CDIR.

    * @return Value of property Q022MT00_CDIR.

    */

    public String getQ022MT00_CDIR() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_CDIR;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_CDIR();

        }

    }



    /** Getter for property Q022MT00_CDIR_WHERE.

    * @return Value of property Q022MT00_CDIR_WHERE.

    */

    public String getQ022MT00_CDIR_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_CDIR_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_CDIR_WHERE();

        }

    }



    /** Getter for property Q022MT00_EMAIL.

    * @return Value of property Q022MT00_EMAIL.

    */

    public String getQ022MT00_EMAIL() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_EMAIL;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_EMAIL();

        }

    }



    /** Getter for property Q022MT00_EMAIL_WHERE.

    * @return Value of property Q022MT00_EMAIL_WHERE.

    */

    public String getQ022MT00_EMAIL_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_EMAIL_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_EMAIL_WHERE();

        }

    }



    /** Getter for property Q022MT00_TELF1.

    * @return Value of property Q022MT00_TELF1.

    */

    public Integer getQ022MT00_TELF1() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_TELF1;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_TELF1();

        }

    }



    /** Getter for property Q022MT00_TELF1_WHERE.

    * @return Value of property Q022MT00_TELF1_WHERE.

    */

    public Integer getQ022MT00_TELF1_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_TELF1_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_TELF1_WHERE();

        }

    }



    /** Getter for property Q022MT00_TELF2.

    * @return Value of property Q022MT00_TELF2.

    */

    public Integer getQ022MT00_TELF2() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_TELF2;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_TELF2();

        }

    }



    /** Getter for property Q022MT00_TELF2_WHERE.

    * @return Value of property Q022MT00_TELF2_WHERE.

    */

    public Integer getQ022MT00_TELF2_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_TELF2_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_TELF2_WHERE();

        }

    }



    /** Getter for property Q022MT00_FAX.

    * @return Value of property Q022MT00_FAX.

    */

    public Integer getQ022MT00_FAX() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_FAX;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_FAX();

        }

    }



    /** Getter for property Q022MT00_FAX_WHERE.

    * @return Value of property Q022MT00_FAX_WHERE.

    */

    public Integer getQ022MT00_FAX_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_FAX_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_FAX_WHERE();

        }

    }



    /** Getter for property Q022MT00_WEB.

    * @return Value of property Q022MT00_WEB.

    */

    public String getQ022MT00_WEB() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_WEB;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_WEB();

        }

    }



    /** Getter for property Q022MT00_WEB_WHERE.

    * @return Value of property Q022MT00_WEB_WHERE.

    */

    public String getQ022MT00_WEB_WHERE() {

        if (iTablaBDQ022MS00==null){

            return this.Q022MT00_WEB_WHERE;

        }else{

           return iTablaBDQ022MS00.getQ022MT00_WEB_WHERE();

        }

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ022MS00==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ022MS00.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ022MS00==null){

           return sFechaClase;

        }else{

           return iTablaBDQ022MS00.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ022MS00==null){

           return this.idConexion;

        }else{

           return iTablaBDQ022MS00.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ022MS00==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ022MS00.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ022MS00==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ022MS00.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ022MS00==null){

           return this.numInicio;

        }else{

           return iTablaBDQ022MS00.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ022MS00==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ022MS00.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ022MS00==null){

           return this.numFinal;

        }else{

           return iTablaBDQ022MS00.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ022MS00==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ022MS00.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ022MS00==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ022MS00.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ022MS00==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ022MS00.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ022MS00==null){

           return this.limitRows;

        }else{

           return iTablaBDQ022MS00.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ022MS00==null){

           return this.connection;

        }else{

           return iTablaBDQ022MS00.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ022MS00==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ022MS00.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ022MS00==null){

           return this.orderBy;

        }else{

           return iTablaBDQ022MS00.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ022MS00==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ022MS00.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ022MS00==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ022MS00.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ022MS00==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ022MS00.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ022MS00==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ022MS00.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ022MS00==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ022MS00.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ022MS00==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ022MS00.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ022MS00==null){

           this.distinct = valor;

        }else{

           iTablaBDQ022MS00.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ022MS00==null){

           return this.distinct;

        }else{

           return iTablaBDQ022MS00.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ022MS00==null){

           this.max = valor;

        }else{

           iTablaBDQ022MS00.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ022MS00==null){

           return this.max;

        }else{

           return iTablaBDQ022MS00.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ022MS00==null){

           super.freeResources();

        }else{

           iTablaBDQ022MS00.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ022MS00==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ022MS00.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

